package com.yh.saas.plugin.yiliangyiyun.service;

import com.yh.saas.plugin.yiliangyiyun.entity.DriverCarInfo;
import com.yh.saas.plugin.yiliangyiyun.entity.DriverViewInfo;
import com.baomidou.mybatisplus.service.IService;
import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.exception.AppServiceException;
import com.yh.saas.plugin.yiliangyiyun.exception.ServiceException;

import java.util.List;

/**
 * <p>
 * 记录司机信息 服务类
 * </p>
 *
 * @author Gongdc
 * @since 2021-05-29
 */
public interface IDriverViewInfoService extends IService<DriverViewInfo> {
    /**
    * 添加信息
    *
    * @param driverViewInfo
    */
    String addInfo(DriverViewInfo driverViewInfo);

    /**
     *司机管理页面列表
     */
    Page<DriverViewInfo> selectDriverInfoPage(DriverViewInfo driverViewInfo);

    /**
     *查看司机信息
     */
    DriverViewInfo getDriver (String id);

    /**
     *删除司机信息
     */
    void deleteDriver(String id);

    /**
     *  编辑信息
     *
     * @param driverViewInfo
     */
    String editInfo(DriverViewInfo driverViewInfo);

    /**
     * 禁用
     *
     * @param driverViewInfo
     */
    String editDisableInfo(DriverViewInfo driverViewInfo);

    /**
     * 查看司机姓名电话下拉列表
     *
     * @param compId
     * @return
     */
    List<DriverViewInfo> selectDriverName(String compId);

    /**
     * 根据姓名查电话、根据电话查姓名
     *
     * @param id
     * @return
     */
    DriverCarInfo selectDriverDetail(String id);
    /**
     * 审核
     * @param driverViewInfo
     * @return
     */
    String examine(DriverViewInfo driverViewInfo);
    /**
     *
     * 查手机号是否存在
     * @param driverViewInfo
     */
    DriverViewInfo selectPhone(DriverViewInfo driverViewInfo) throws AppServiceException;
    /**
     * 更改手机号
     * @param driverViewInfo
     */
    String modifyPhone(DriverViewInfo driverViewInfo);

    /**
     * 根据用户id查看司机
     * @param
     */
    DriverViewInfo getInfo(String commonId) throws ServiceException;



}
